### Method

# Gimp Image get_channel_by_name

#### Declaration [src]

    GimpChannel*
    gimp_image_get_channel_by_name (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Find a channel with a given name in an image.

This procedure returns the channel with the given name in the specified image.

Available since: | 2.8

#### Parameters

`name` | `const gchar*`
| The name of the channel to find.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpChannel`
| The channel with the specified name.
| The data is owned by the instance.